path: /build/build/vulkan-tools-dev-util-1.3.236.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cube X wayland" emerge dev-util/vulkan-tools -pv -t && \
    USE="-cube X wayland" emerge -j ${JOBS} --nodeps dev-util/vulkan-tools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/vulkan-tools && luet-portage --dir /pkgdir/vulkan-tools
    dev-util/vulkan-tools && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:115487f1682b8672d6e03e32e4379095d3594bfbb07114fd9c0f8febdefdad6a
  package:
    name: vulkan-tools
    version: 1.3.236
    category: dev-util
    use_flags:
    - -cube
    - X
    - wayland
    requires:
    - name: vulkan-loader
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Official Vulkan Tools and Utilities for Windows, Linux, Android,
      and MacOS
    uri:
    - https://github.com/KhronosGroup/Vulkan-Tools
    license: Apache-2.0
    buildtimestamp: 2024-03-12 22:47:35.325017555 +0000 UTC m=+166.350839854
    labels:
      BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
        ) >=dev-util/cmake-3.10.2 cube? ( dev-util/glslang:= ) dev-util/ninja >=dev-util/cmake-3.9.6'
      DEPEND: '>=media-libs/vulkan-loader-1.3.236:=[wayland?,X?] wayland? ( dev-libs/wayland:=
        ) X? ( x11-libs/libX11:= x11-libs/libXrandr:= ) >=dev-util/vulkan-headers-1.3.236'
      IUSE: cube wayland +X
      RDEPEND: '>=media-libs/vulkan-loader-1.3.236:=[wayland?,X?] wayland? ( dev-libs/wayland:=
        ) X? ( x11-libs/libX11:= x11-libs/libXrandr:= )'
      emerge.packages: dev-util/vulkan-tools
      kit: core-gl-kit
      original.package.name: dev-util/vulkan-tools
      original.package.slot: "0"
      original.package.version: 1.3.236
    treedir: /build/packages
  package_dir: /pkgdir/vulkan-tools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 43670f8c8d0acf43993170ff941e8fd6535191b460eb2a7003bbda26b63aede9
compressiontype: zstd
files:
- usr/bin/vulkaninfo
- usr/share/doc/vulkan-tools-1.3.236/README.md.bz2
- var/db/pkg/dev-util/vulkan-tools-1.3.236/BDEPEND
- var/db/pkg/dev-util/vulkan-tools-1.3.236/BUILD_TIME
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CATEGORY
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CBUILD
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CFLAGS
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CHOST
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CONTENTS
- var/db/pkg/dev-util/vulkan-tools-1.3.236/COUNTER
- var/db/pkg/dev-util/vulkan-tools-1.3.236/CXXFLAGS
- var/db/pkg/dev-util/vulkan-tools-1.3.236/DEFINED_PHASES
- var/db/pkg/dev-util/vulkan-tools-1.3.236/DEPEND
- var/db/pkg/dev-util/vulkan-tools-1.3.236/DESCRIPTION
- var/db/pkg/dev-util/vulkan-tools-1.3.236/EAPI
- var/db/pkg/dev-util/vulkan-tools-1.3.236/FEATURES
- var/db/pkg/dev-util/vulkan-tools-1.3.236/HOMEPAGE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/INHERITED
- var/db/pkg/dev-util/vulkan-tools-1.3.236/IUSE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/IUSE_EFFECTIVE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/KEYWORDS
- var/db/pkg/dev-util/vulkan-tools-1.3.236/LDFLAGS
- var/db/pkg/dev-util/vulkan-tools-1.3.236/LICENSE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/NEEDED
- var/db/pkg/dev-util/vulkan-tools-1.3.236/PF
- var/db/pkg/dev-util/vulkan-tools-1.3.236/RDEPEND
- var/db/pkg/dev-util/vulkan-tools-1.3.236/REQUIRES
- var/db/pkg/dev-util/vulkan-tools-1.3.236/SIZE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/SLOT
- var/db/pkg/dev-util/vulkan-tools-1.3.236/USE
- var/db/pkg/dev-util/vulkan-tools-1.3.236/environment.bz2
- var/db/pkg/dev-util/vulkan-tools-1.3.236/repository
- var/db/pkg/dev-util/vulkan-tools-1.3.236/vulkan-tools-1.3.236.ebuild
package_cacheimage: ""
runtime:
  name: vulkan-tools
  version: 1.3.236
  category: dev-util
  use_flags:
  - -cube
  - X
  - wayland
  requires:
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: vulkan-loader
    version: '>=0'
    category: media-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXrandr
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Official Vulkan Tools and Utilities for Windows, Linux, Android, and
    MacOS
  uri:
  - https://github.com/KhronosGroup/Vulkan-Tools
  license: Apache-2.0
  labels:
    BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
      ) >=dev-util/cmake-3.10.2 cube? ( dev-util/glslang:= ) dev-util/ninja >=dev-util/cmake-3.9.6'
    DEPEND: '>=media-libs/vulkan-loader-1.3.236:=[wayland?,X?] wayland? ( dev-libs/wayland:=
      ) X? ( x11-libs/libX11:= x11-libs/libXrandr:= ) >=dev-util/vulkan-headers-1.3.236'
    IUSE: cube wayland +X
    RDEPEND: '>=media-libs/vulkan-loader-1.3.236:=[wayland?,X?] wayland? ( dev-libs/wayland:=
      ) X? ( x11-libs/libX11:= x11-libs/libXrandr:= )'
    emerge.packages: dev-util/vulkan-tools
    kit: core-gl-kit
    original.package.name: dev-util/vulkan-tools
    original.package.slot: "0"
    original.package.version: 1.3.236
